/*@import url('font-awesome.min.css');*/
*{
  box-sizing: border-box;
}

svg * { 
  /*! transform-box: fill-box; */
}

body{
  margin:0px;
  font-family: fontawesome;
    line-height: 1.5;
  font-family:"Helvetica Neue",Helvetica,Arial,sans-serif,fontawesome; 
   background: rgb(145,196,251);
background: linear-gradient(0deg, rgba(24,40,90,1) 0%, rgba(12,30,70,1) 10%, rgba(0,0,10,1) 100%); 
  background-attachment: fixed;
  height:100vh;
}

label{
  display:block;
}


a{
  text-decoration:none;
  color:#d1c0ff;
}

a:hover{
  text-decoration:underline;
}

h1 a:hover{
  text-decoration:none;
}

a.btn{
  padding:10px;
  border-radius:5px;
  background: #555;
  color:#FFF;
  cursor:pointer;
  margin:10px;
  display:inline-block
}

a.btn:hover{
  background: #888;
  text-decoration:none;
}

header{
  margin: 0px;
  padding: 7px;
  /*! background: rgb(0,0,15); */
}

h1 {
  font-size: larger;
  color: white;
}

header h1{
  margin-left: auto;
  margin-right:auto;
  margin-top:0px;
  margin-bottom: 0px;
  text-align: center;
}


aside#joueurs h1{
  text-align: center;
  border-bottom: solid #DDD 1px;
}

span.badge:before{
  content:"("
}

span.badge:after{
  content:")"
}

span.classement{
  background:#555;
  border-radius:10px;
  font-weight: bold;
  font-size: 0.7em;
  padding: 2px 7px;
  color: #FFF;
  vertical-align:middle;
  min-width:40px;
}


div.classement{
  display:inline-block;
  vertical-align:top;

}

#choix_difficulte{
  position:fixed;
  z-index:3;
  border:solid 1px #fcfffb;
  background:rgb(12, 30, 70);
  top:50vh;
  left:50vw;
  transform:translate(-50%, -50%);
  border-radius: 10px 0px;
}

#choix_difficulte p{
  border-bottom:solid 1px #777272;
  padding-left:2vw;
  padding-right:2vw;
  text-align: center;
  margin-left: 1vw;
  margin-right: 1vw;
}

#mask{
  width:100vw;
  height:100vh;
  position:fixed;
  top:0px;
  left:0px;
  background:#4d3b80c9;
  z-index:2;
  visibility: hidden;
}

.etoiles_1{
  
  
}

section.message{
  position:fixed;
  display:none;
  top:50%;
  left:50%;
  transform:translate(-50%, -50%);
  width:30vw;
  padding:10px;
  border-radius:10px;
  text-align:center;
  font-size:30px;
  margin:auto;
  z-index:1;
}
.message i#close{
  position:absolute;
  right:5px;
  top:5px;
  color:white;
  font-size:20px;
  padding: 3px;
}

.message #close:hover{
  cursor:pointer;
  transform:scale(1.2);

}

#messageOK{
  background:#0dc007;
   color:floralwhite;
}

#messageOK a{
  display:block;
  font-size:17px;
  color:#f7ff00;
}

#messageKO{
  background:#c00718;
  color: white;
}

#messageKO #danger{
  display:block;
  font-size:150%;
}
/*
span.badge{
  background:#555;
  border-radius:10px;
  font-weight: bold;
  padding: 2px 7px;
  color: #F8F8F8;
}*/

section#contenu{
  font-size: 14px;
  color: #EEE;
  margin-left:50px;
  display: inline-block;
  width: 70vw;
}

section#bravo{
  font-size: 18px;
  color: #EEE;
  margin:auto;
  display: block;
  width: 70vw;
}

section h1, aside h1{
  width: 100%;
  border-bottom: solid #CCC 1px; 
  line-height:1.5;
}

h1#victoire{
  border: solid 3px #83ff8a;
  text-shadow:0px 0px 2px #ff8f00, 0px 0px 2px #ff8f00;
  background:#129b1b;
  border-radius:5px;
  text-align:center;
  width:50%;
  height:60px;
  line-height: 60px;
  font-size: 32px;
  margin:auto;
  margin-top:30px;
}

#victoire .fa-star{
  color:yellow;
  display:inline-block;
  text-shadow:0px 0px 3px orange, 0px 0px 3px orange;
  margin-left:30px;
  margin-right:30px;
}

#svgbravo{
  display: block;
  margin:auto;
  width:500px;
}

#svgbravo svg{
  width:500px;
  height:150px;
}

#txtBravo{
  fill:yellow;
  text-shadow: 1px 1px 1px #000000, 0px 0px 3px white;
}

#svgbravo #rect{
  fill:#60b09600;
  stroke:none;
}

#svgbravo #star1{
  fill:yellow;
}



#svgbravo #text path{
  fill:#ffa700;
}


i.smaller{
  font-size:12px;
  letter-spacing:0px;
}

i.fa-user{
  margin-right:3px;
}

i.fa-list{
  margin-right:4px;
}

i.fa-edit{
  margin-right:4px;
}

div#page{
  margin-right: 250px;
  margin-left: 40px;
  margin-top: 0px; 
}


#editor { 
  height:275px;
  width:100%;
  border:#CCC solid 1px;
  margin:20px;
  border-radius:5px;
}

header div#user_div{
  /*! float: right; */
  font-size:14px;
  color: white;
  position: absolute;
  right: 0px;
  top: 3px;
}

header div i.fa{
  margin-left:9px;
}

p.important{
    color:#D00;
}

span.Attention{
    border-bottom : solid 1px black;

}

span.init{
    color:#fff;
    font-size:8px;
}


p.succes{
  font-size:20px;
  font-weight:lighter;
  border-radius:10px;
  background: #080;
  padding:10px;
  text-align:center;
  border:solid #AEA 1px;
  width:500px;
  margin-left:auto;
  margin-right:auto;
  color:#FFF;
}

p.succes i{
  margin-left:30px;
  margin-right:30px;
}

p.echec{
  font-size:20px;
  font-weight:bold;
  border-radius:10px;
  background: #800;
  padding:10px;
  text-align:center;
  border:solid #EAA 1px;
  width:500px;
  margin-left:auto;
  margin-right:auto;
  color:#FFF;
}

p.echec i{
  margin-left:30px;
  margin-right:30px;

}

p.sortie{
  margin-left:50px;
  font-family:monospace;
  padding-left:10px;
  padding-top:5px;
  padding-bottom:5px;
  border-left: solid #CCC 1px;
  white-space: pre; 
}


code {
    font-family: monospace;
    /* background: #f0f0d2; */
    padding: 2px 5px 2px 5px;
    border-radius: 3px;
}

pre{
  margin:auto;
  border: solid #CCC 1px;
  border-radius: 3px;
  padding:5px;
  display:block;
  line-height: 12px;
  background:black;
  width:300px;
}


div#boutons{
  margin: 30px;
}

#codeStats{
  display:block;
  position:fixed;
  right: 50px;
  top: 150px;
  height:400px;
  overflow: visible;
}

#codeStats #editor{
 width:500px;
 height:400px;
}

#codeStats h1{
  font-size: 14px;
}

#codeStats p{
  font-size: 14px;
  font-weight: lighter;
  display:inline;
}

a.button{
    font-size:14px;
    font-weight:lighter;
    border:solid 1px grey;
    margin-left:10px;
}

span.numero{
  display : inline-block;
  text-align : right;
  min-width : 30px;
}

#notification{
  position:fixed;
  right:0;
  bottom:0;
}

.notif{
  padding: 1rem;
  background: #ccf0cc;
  box-shadow: 2px 4px 3px rgba(0,0,0,0.2);
  border-color: #2eac05;
  border-width: 1px;
  border-style: solid;
  border-radius: 5px;
  margin-right: 10px;
  margin-bottom: 10px;
  font-size:0.7rem;
  width:200px;
  transition: opacity 0.5s;
}

#evenements{
  display:block;
  margin-left:30px;
}

#evenements th, td {
  padding: 5px;
  text-align: left;
}

#evenements th{
  background-color: #e2e2e2;
}

#evenements tr:nth-child(even) {
  background-color: #f2f2f2;
}

#enonce{
  max-width:800px;
  margin: auto;
  padding-bottom:50px;
}

/* Mission 1 */
#img_schema{
  /*width:40vw;*/
  margin:auto;
  display:block;
  border:solid 1px white;
  box-shadow: 3px 2px gray;
  margin-bottom:40px;
  padding:0px;
}

#img_schema img{
  width:100%;
  margin:0px;
}

p#equation{
  display:block;
  margin:auto;
  margin-top:20px;
  margin-bottom:20px;
  text-align: center;
  font-size:16px;
}

#demande_indice{
  cursor:pointer;
  background:green;
  padding:10px;
  border-radius:5px;
  display:block;
  margin:auto;
  text-align:center;
}

#demande_indice:hover{
  text-decoration: none;
  background:#018240;
  box-shadow: 0px 0px 5px white;
}

#conf_box{
  visibility:hidden;
  display:block;
  width:40vw;
  text-align:center;
  border:solid 1px white;
  position:fixed;
  top:50%;
  left:50%;
  transform:translate(-50%, -50%);
  background:#c71b1b;
  padding:20px;
  color: #fdfdfd;
}

#confirme_indice{
  font-size:smaller;
}

#annule_indice{
  background:#8E44AD;
  font-size:large
}
#annule_indice:hover{
  background:#B055BD;
}

#confirme_indice:before{
  content:"✓ ";
}

#annule_indice:before{
  content:"✗ ";
}

#classement{
  float:right;
  color:white;
  display: inline-block;
  width: 20vw;
}

#classement .fa-star{
  visibility: visible;
}

#spinner{
  display:inline-block;
  position:absolute;
  height:23px;
}

.badge-div{
  display:inline-block;
}
